> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# get entity by id



## OpenAPI

````yaml /openapi.json get /api/v1/wallet/{id}
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/wallet/{id}:
    get:
      tags:
        - Wallet Route
      summary: get entity by id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    WalletDto:
      required:
        - chainUid
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        tenantId:
          format: int64
          description: The tenant ID associated with the extractor wallet
          type: integer
        chainUid:
          description: Network uid that associated with extractor wallet
          type: string
          allOf:
            - $ref: '#/components/schemas/ChainUid'
        address:
          description: The direct address of the extractor wallet
          type: string
        name:
          description: Name for the entity
          type: string
        type:
          description: 'Wallet type: DEFAULT or HSM'
          type: string
          allOf:
            - $ref: '#/components/schemas/WalletType'
        tags:
          description: Tags associated with the wallet
          uniqueItems: true
          type: array
          items:
            type: string
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
    ChainUid:
      enum:
        - arbitrum
        - bsc
        - bsc_testnet
        - ethereum
        - linea
        - optimism
        - base
        - base_sepolia
        - gnosis
        - fantom
        - polygon
        - polygon_amoy
        - blast
        - zksync
        - scroll
        - avalanche
        - avalanche_fuji
        - telos
        - sepolia
        - holesky
        - ethereum_sepolia
        - ethereum_holesky
        - tron
        - zeta
        - somnia
        - adi
        - anvil
        - icp
        - vechain
        - stellar
        - bitcoin
        - solana
      type: string
    WalletType:
      enum:
        - DEFAULT
        - HSM
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````